3

I'm trying to typeset some proof tree exercises. But I need to use the prooftree environment from the bussproofs package, as well as the prooftree environment from the prooftrees package. Is there a way I can rename one of these so that they are both usable within a single document?

  • Since these kind of environments are not used too often (at least I haven't see any) it would be nice from you to provide a minimal non working example with code for both and let as try to do the job needed just for your request and not all the search needed from someone that doesn't use these packages... – koleygr Mar 9 at 4:59
10

As explained in the prooftrees documentation, you can use the environment tableau instead of prooftree if you load the prooftrees package with the tableaux option. This allows you to use both bussproofs and prooftrees together.

\usepackage[tableaux]{prooftrees}
\usepackage{bussproofs}

Here's a full example:

\documentclass{article}
\usepackage[tableaux]{prooftrees}
\usepackage{bussproofs}
\begin{document}


\begin{prooftree}
   \AxiomC{$A \lor B$}
       \AxiomC{[$A$]}
       \noLine
       \UnaryInfC{$C$}
             \AxiomC{[$B$]}
              \noLine
              \UnaryInfC{$C$}
        \TrinaryInfC{$C$}
\end{prooftree}
\begin{tableau}
{
     to prove=\neg(a \vee b) \vee ((a \vee b) \vee  b)
}
[{(a \vee b) \vee ((a \vee b) \vee  b)}, just = 1
    [{\neg (a \vee b)}, just = 2
        [{a,b},just=3,close={4}
        ]
    ]
    [{(a \vee b) \vee  b}
        [{a \vee b}
        ]
        [{b}
        ]
    ]
]
\end{tableau}
\end{document}

output of code

  • When I try to compile this, I get the following error: File `forest-lib-tableaux.sty' not found. This file doesn't appear to be in either the forest package or the prooftrees package. Do you know how to resolve that error? – objectivesea Mar 9 at 5:32
  • 1
    Is your distribution up to date? This is part of prooftrees. – Alan Munn Mar 9 at 6:13
  • 1
    @objectivesea - Which TeX distribution do you employ, and when did you last update it and all LaTeX packages? The current version of prooftrees is v. 0.6, dated 2017/02/09. The bussproof package was last updated in 2011. – Mico Mar 9 at 6:16
  • 1
    Updating MacTeX resolved the issue. – objectivesea Mar 9 at 16:22

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.